
#ifndef FAST_GRAPH_GEODESICS_H
#define FAST_GRAPH_GEODESICS_H

#include <stdio.h>

typedef unsigned int vertex;
typedef unsigned char byte;

void fast_geodesics_estimate(
        vertex nverts,
        size_t nedges,
        vertex* edges,
        size_t nbytes,
        size_t nrep,
        size_t maxiter,
        FILE *verbose,
        vertex* largest_geodesics,
        double* npaths,
        vertex* diameter);
        
#endif /* FAST_GRAPH_GEODESICS_H */

